#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

main()
{
    char str[10], *res;
    int x,i,pid;


    pid=fork();
    if(pid>0)
    {
        exit(0);
    }
    else
    { FILE *fd=fopen("/home/me/Desktop/pipe","r");
        while(1)
        {
            res=fgets(str,10,fd);
            if(res!=NULL)
            {
                x=atoi(str);

                if(x<=0)
                {
                    printf("stopping daemon\n");
                    exit(0);
                }
                else
                {printf("Adding %d children under init\n", x);
                    pid=fork();
                    if(!pid)
                    {
                        for(i=0; i<x; i++)
                        {
                            if(!fork())
                            {
                                sleep(15);
                                exit(0);
                            }



                        }
                        exit(0);

                    }

                    wait(0);

                }
system("ps -e -o pid,ppid,comm | grep readfromfifo");
            }
            sleep(1);
        }
    }

}
